Subject: bug#65928: [PATCH] Introduce 'project-save-buffers'

From: Juri Linkov <[email-masked]>
Date: Mon, 18 Sep 2023 09:56:03 +0300

>>> Would something like
>>>      (defalias 'project-save-buffers #'save-some-buffers-root)
>>> do the job?
>> Rather something more like this will do the job:
>> ```
>> (keymap-set project-prefix-map "S"
>>              (lambda (&optional arg)
>>                (interactive "P")
>>                (let ((save-some-buffers-default-predicate 'save-some-buffers-root))
>>                  (save-some-buffers arg))))
>> ```
>
> Would you say that the added capability to only save certain buffers but
> not others, is something you found useful in practice?
>
> More than once a year or so.

I don't know why might anyone want to save only project's buffer,
but not all.  I use 'C-x s' only when 'C-c C-a' from diff-mode modifies
different buffers (hopefully a new diff command will save them at once),
but I don't mind when 'C-x s' saves non-project buffers as well.